--- title: "Get Top Target Countries" slug: "get-top-target-countries-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-top-target-countries-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Top Target Countries This URL retrieves the top countries that are targeted. ### Resource URL GET /alerts/TopN/target_countries ### Request Parameters URL Parameters: None Payload Request Parameters: None Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `duration` | Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be: - LAST_5_MINUTES - LAST_1_HOUR - LAST_6_HOURS - LAST_12_HOURS - LAST_24_HOURS - LAST_48_HOURS - LAST_7_DAYS - LAST_14_DAYS | String | No | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `TopTargetCountriesList` | List of top countries that are targeted | Array | Details of fields in TopTargetCountriesList: | Field Name | Description | Data Type | | --- | --- | --- | | countryName | Name of the country | String | | attackCount | Count of the attack | Number | ### Example **Request** GET [https:///sdkapi/alerts/TopN/target_countries?duration=LAST_14_DAYS](https://<NSM_IP>/sdkapi/alerts/TopN/target_countries?duration=LAST_14_DAYS) **Response** ```     { "TopTargetCountriesList": [{ "countryName":"Japan","attackCount":174039}, {"countryName":"United States","attackCount":168318}, {"countryName":"China","attackCount":37652}, {"countryName":"Australia","attackCount":25651}, {"countryName":"India","attackCount":22705}, {"countryName":"Germany","attackCount":9211}, {"countryName":"Venezuela","attackCount":6884}, {"countryName":"Russia","attackCount":6720}, {"countryName":"Bosnia and Herzegovina","attackCount":6478}, {"countryName":"Netherlands","attackCount":6109 }] } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 3601 | Invalid duration |